package com.gic.auth.service.impl;

import com.gic.auth.constant.DeleteFlagConstants;
import com.gic.auth.dao.mapper.TabUserDataShowMapper;
import com.gic.auth.dto.UserDataShowSaveDTO;
import com.gic.auth.entity.TabUserDataShow;
import com.gic.auth.service.UserDataShowService;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

/**
 * 管理员数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:19 PM 
 */
public class UserDataShowServiceImpl implements UserDataShowService{
    @Autowired
    private TabUserDataShowMapper tabUserDataShowMapper;

    @Override
    public void saveUserData(UserDataShowSaveDTO data) {
        TabUserDataShow record = EntityUtil.changeEntityNew(TabUserDataShow.class, data);
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabUserDataShowMapper.insert(record);
    }

    @Override
    public void editUserDataBusinessName(String userDataBusinessId, String userDataBusinessName, Integer userDataSceneType) {
        tabUserDataShowMapper.editUserDataBusinessName(userDataBusinessId, userDataBusinessName, userDataSceneType);
    }

    @Override
    public void deleteUserData(String userDataBusinessId, Integer userDataSceneType) {
        tabUserDataShowMapper.deleteUserData(userDataBusinessId, userDataSceneType);
    }
}
