package com.gic.auth.utils.transfer;

import com.gic.api.base.commons.Page;
import com.gic.auth.constant.ManagerDataEnum;
import com.gic.auth.dto.UserManagerDataDTO;
import com.gic.auth.utils.ApplicationContextUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * 管理员数据工具
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/6 1:53 PM 
 */
public class ManagerDataUtils {

    private static Map<Integer, IManagerData> map = new HashMap<>(8);

    static {
        map.put(ManagerDataEnum.CUSTOM_GROUP.getCode(), ApplicationContextUtils.getBean(CustomGroupData.class));
        map.put(ManagerDataEnum.COUPON.getCode(), ApplicationContextUtils.getBean(CouponData.class));
    }

    /**
     * 查询管理员创建的数据
     * @param dataType 场景类型
     * @param userId 管理员ID
     * @return
     */
    public static Page<UserManagerDataDTO> queryData(Integer dataType, Integer userId, Integer pageNum, Integer pageSize) {
        return map.get(dataType).queryData(userId, pageNum, pageSize);
    }
}
